Subject: Re: sky2 hangs, hw csum errors with 2.6.18

From: Stephen Hemminger <[email-masked]>
Date: Tue, 3 Oct 2006 12:03:55 -0700

On Tue, 3 Oct 2006 20:39:49 +0200
Martin Lucina <[email-masked]> wrote:

> [email-masked] said:
> > On Tue, 3 Oct 2006 20:21:20 +0200
> > Martin Lucina <[email-masked]> wrote:
> > 
> > > Hi Stephen,
> > > 
> > > I'm still getting tx timeouts even after applying the patch you sent me
> > > and forcing tx flow control off:
> > 
> > What speed and duplex are you using?
> 
> 1000 Mbps, full duplex
> 
> > What MTU are you using.
> 
> 1500
> 
> -mato

Are you sure? I assume you are using the latest driver from Linus's
git repository. That version adds support for fragmented receive, but
that code shouldn't be doing anything unless MTU > page size (4K).

Maybe oversize frames are coming in, and the driver isn't handling.
I'll check

-- 
Stephen Hemminger <[email-masked]>